Subject: Re: [PATCH] powerpc/85xx: fix PHYS_64BIT selection for P1022DS

From: Scott Wood <[email-masked]>
Date: Mon, 26 Sep 2011 17:24:43 -0500

On 09/26/2011 05:12 PM, Kumar Gala wrote:
> 
> On Sep 25, 2011, at 12:06 PM, Tabi Timur-B04825 wrote:
> 
>> On Fri, Sep 23, 2011 at 2:32 PM, Anatolij Gustschin <[email-masked]> wrote:
>>
>>> diff --git a/arch/powerpc/platforms/85xx/Kconfig b/arch/powerpc/platforms/85xx/Kconfig
>>> index 1b393f4..b29d4f2 100644
>>> --- a/arch/powerpc/platforms/85xx/Kconfig
>>> +++ b/arch/powerpc/platforms/85xx/Kconfig
>>> @@ -80,7 +80,7 @@ config P1010_RDB
>>>  config P1022_DS
>>>        bool "Freescale P1022 DS"
>>>        select DEFAULT_UIMAGE
>>> -       select CONFIG_PHYS_64BIT        # The DTS has 36-bit addresses
>>> +       select PHYS_64BIT       # The DTS has 36-bit addresses
>>
>> I have no idea how this happened, but I wonder if it's a good idea.
>> On the Freescale BSP, the default config for the P1022DS is 32-bit,
>> not 36-bit, so one day we might have a 32-bit config in the upstream
>> repository.
>>
>> PHYS_64BIT is already covered by the defconfig.  I wonder if we should
>> just delete the bad line, and let the defconfig select the address
>> size.
> 
> Why, the way this patch makes it will work both with a 32-bit or 36-bit address map.   The comment should be fixed since its wrong.

"select" should not be used for things that you think make good
defaults.  It should be used for things that are required.  It's just
like "depends on", except for user interface considerations (and the
whole transitive dependency mess).

-Scott